import { Component, ReactElement, ReactNode } from 'react';
import { TableQueryBarHookProps, TableQueryBarProps } from '../Table';
import TableContext from '../TableContext';
export declare type TableQueryBarHookCustomProps = object;
export declare type TableQueryBarHook = (props: TableQueryBarHookCustomProps & TableQueryBarHookProps) => ReactNode;
export default class PerformanceTableQueryBar extends Component<TableQueryBarProps> {
    static displayName: string;
    static get contextType(): typeof TableContext;
    static defaultProps: {
        queryFieldsLimit: number;
    };
    handleQueryReset(): void;
    handleQuery(): Promise<any>;
    getQueryFields(): ReactElement<any>[];
    renderProfessionalBar(props: TableQueryBarHookProps): JSX.Element;
    renderDynamicFilterBar(props: TableQueryBarHookProps): JSX.Element;
    render(): {} | null | undefined;
}
